|  | Home

# QtEnumEditorFactory Class Reference

The QtEnumEditorFactory class provides QComboBox widgets for properties created by QtEnumPropertyManager objects. More...

     #include <QtEnumEditorFactory>

Inherits QtAbstractEditorFactory<QtEnumPropertyManager>.

- List of all members, including inherited members

## Public Functions

| QtEnumEditorFactory ( QObject * parent = 0 )
| ~QtEnumEditorFactory ()

- 5 public functions inherited from QtAbstractEditorFactory
- 1 public function inherited from QtAbstractEditorFactoryBase
- 29 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 1 public type inherited from QObject
- 4 static public members inherited from QObject
- 3 protected functions inherited from QtAbstractEditorFactory
- 7 protected functions inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QtEnumEditorFactory class provides QComboBox widgets for properties created by QtEnumPropertyManager objects.

See also QtAbstractEditorFactory and QtEnumPropertyManager.

## Member Function Documentation

### QtEnumEditorFactory::QtEnumEditorFactory ( QObject * parent = 0 )

Creates a factory with the given parent.

### QtEnumEditorFactory::~QtEnumEditorFactory ()

Destroys this factory, and all the widgets it has created.